// src/index.js
function src_default(Alpine) {
  const wait = function(fn, duration, options = {}) {
    setTimeout(() => {
      fn();
      if (options.repeat) {
        wait(fn, duration, options);
      }
    }, duration);
  };
  Alpine.directive(
    "timeout",
    (el, { value, modifiers, expression }, { evaluateLater, effect, cleanup }) => {
      const duration = parseInt(value);
      const options = {
        repeat: modifiers.includes("repeat")
      };
      let evaluator = evaluateLater(expression);
      if (typeof evaluator !== "function") {
        throw new Error("The value of x-timeout must be a function");
      }
      wait(() => {
        evaluator();
      }, duration, options);
    }
  );
}

// builds/module.js
var module_default = src_default;
export {
  module_default as default
};
